package td;

public class TestPoint {

	public static void main(String[] args) {

		Point point1;              //point1 est une reference sur un objet de type Point
		Point point2;              //point2 est une reference sur un objet de type Point
		Point point3;              //point3 est une reference sur un objet de type Point

		point1 = new Point();      //le constructeur sans parametre qui cr un point en (0,0) est appel.
		                           //le point1 reference le Point cree on parle de d'instanciation
		point2 = new Point(1,2);   //le constructeur prenant en parametre deux entiers en utilis
		                           //le point est en (1,2)
		point3 = new Point(point1);//le constructeur par recopie est utilis, point3 est un clone de point2
		                           //le point est en (0,0)

		System.out.println(point1.getX()+" " +point1.getY());
		                           //getX() renvoie le x, getY() renvoie le y de Point
		                           //0 0
		point1.deplacer(10, -5);   //point1 va en (1O,-5)
		System.out.println(point1.getX()+" " +point1.getY());
		                           //10 -5
		point1.translater(2, 5);   // le x de point1 est augemente de 2
		                           // le y de point1 est augemente de 5
		System.out.println(point1.getX()+" " +point1.getY());
		                           //12 0
		System.out.println(point1.distanceOrigine());
		                           //12.0
		System.out.println(point1.distance(point2));
		                           //11.180339887498949
		point2.setY(10);           // le y de point2 prend 10
		System.out.println(point2.getY());
		                           //10
		System.out.println(point2.getX()+" " +point2.getY());
		                           //1 10
		System.out.println(point3.getX()+" " +point3.getY());
		                           //0 0
		point3 = point2;           //point3 recoit la reference point2
		                           //point3 est un alias sur point2
		point3.deplacer(5, 5);     //point3 est dplac en (5,5)
		System.out.println(point2.getX()+" " +point2.getY());
		                           //5 5
		System.out.println(point3.getX()+" " +point3.getY());
		                           //5 5
	}

}
