package tp.prof.classes;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.Vector;

import javax.swing.JFrame;

public class AffichePoints extends JFrame {
	private Vector<Point> points;
	
	public AffichePoints(Vector<Point> points)
	{
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		this.points=points;
		this.setSize(400,400);
		this.setVisible(true);
	}
	
	public void paint(Graphics g) {
		super.paint(g);
		Graphics2D graphics2D= (Graphics2D) g;
		int i = 0;
		for (Point p: this.points)
		{
			 g.drawOval(p.getX(), p.getY(), 4, 4);
			g.drawString(""+i, p.getX(), p.getY());
			i++;
		}
		
		
		
	}

}
